# importing modules
import sys as sys
import os 
import numpy

# Getting the name of the directory where this file is present.
current = os.path.dirname(os.path.realpath(__file__))  # src
# Getting the parent directory name where the current directory is present.
parent = os.path.dirname(current) # Simulation
# Getting the grandparent directory name
gparent = os.path.dirname(parent) # RecruitmentSynchronization_SMCs
# The path where the simExp.py is saved
mpath = gparent + '\\cellLib\\Scripts'
# appending a path
sys.path.append(mpath)
import simExp
# The simulation .sedml file
simfile = gparent+'\\Experiments\\MWC_10_test.sedml'
# Set the parameters for simulation
start, ending, pointInterval = 0, 400, 0.01

savefiles=[None]*len([20,0,-20,-30,-40,-50,-60])
for i in range(len([20,0,-20,-30,-40,-50,-60])):
   savefiles[i]=parent+'\\simulatedData\\simFig9_r_'+'%d' %i


indexStart = int(200/pointInterval)
indexEnd = int(ending/pointInterval) + 1 
varSet = {'clamp_para/t_act':{'constants':100}}
varLoop = {'clamp_para/V_actTest':{'constants':numpy.array([20,0,-20,-30,-40,-50,-60])}}
varSave = {'t':{'voi':False},'output_10/dQ':{'algebraic':False}}
simExp.simExp(simfile, savefiles,start, ending, pointInterval,indexStart,indexEnd,varSet,varLoop,varSave)

savefiles=[None]*len([20,0,-20,-30,-40,-50,-60])
for i in range(len([20,0,-20,-30,-40,-50,-60])):
   savefiles[i]=parent+'\\simulatedData\\simFig9_p_'+'%d' %i

indexStart = int(200/pointInterval)
indexEnd = int(ending/pointInterval) + 1 
varSet = {'clamp_para/t_act':{'constants':100},'free_para_10/k_L':{'constants':0.006},'free_para_10/k_Lminus':{'constants':300}}
varLoop = {'clamp_para/V_actTest':{'constants':numpy.array([20,0,-20,-30,-40,-50,-60])}}
varSave = {'t':{'voi':False},'output_10/dQ':{'algebraic':False}}
simExp.simExp(simfile, savefiles,start, ending, pointInterval,indexStart,indexEnd,varSet,varLoop,varSave)
